137 views
0

在腾讯云上面安装tqsdk失败,错误信息如下

老板们帮看一下是什么问题,我已经用管理员权限安装了,

系统windows server2016

python: 3.8

C:\Users\Administrator>pip install tqsdk
Collecting tqsdk
Using cached https://files.pythonhosted.org/packages/29/f3/6e492ff92e863ab15217db43e3c8f7eaa7b509448565aa6e63cae849b4c0/tqsdk-1.1.0-py3-none-win_amd64.whl
Collecting websockets>=6.0
Using cached https://files.pythonhosted.org/packages/e9/2b/cf738670bb96eb25cb2caf5294e38a9dc3891a6bcd8e3a51770dbc517c65/websockets-8.1.tar.gz
Collecting requests
Using cached https://files.pythonhosted.org/packages/51/bd/23c926cd341ea6b7dd0b2a00aba99ae0f828be89d72b2190f27c11d4b7fb/requests-2.22.0-py2.py3-none-any.whl
Collecting pandas>=0.24.0
Using cached https://files.pythonhosted.org/packages/5f/35/ef57828dc80c979592a9bf61831d4de5ee2918eb285f56bb2956236eecdf/pandas-0.25.3-cp38-cp38-win_amd64.whl
Collecting numpy
Using cached https://files.pythonhosted.org/packages/90/4e/98818cb208f32833f628d7f7e9dd9ce36cdc34d199ccae0ab37ed6a13b85/numpy-1.17.3-cp38-cp38-win_amd64.whl
Collecting numba
Using cached https://files.pythonhosted.org/packages/33/6f/47d87ded23f3d1aa1e221d75278caf427e8da80649c14312172857bad64f/numba-0.46.0.tar.gz
ERROR: Command errored out with exit status 1:
command: ‘c:\users\administrator\appdata\local\programs\python\python38\python.exe’ -c ‘import sys, setuptools, tokenize; sys.argv[0] = ‘”‘”‘C:\\Users\\Administrator\\AppData\\Local\\Temp\\pip-install-2q4_o43j\\numba\\setup.py'”‘”‘; __file__='”‘”‘C:\\Users\\Administrator\\AppData\\Local\\Temp\\pip-install-2q4_o43j\\numba\\setup.py'”‘”‘;f=getattr(tokenize, ‘”‘”‘open'”‘”‘, open)(__file__);code=f.read().replace(‘”‘”‘\r\n'”‘”‘, ‘”‘”‘\n'”‘”‘);f.close();exec(compile(code, __file__, ‘”‘”‘exec'”‘”‘))’ egg_info –egg-base ‘C:\Users\Administrator\AppData\Local\Temp\pip-install-2q4_o43j\numba\pip-egg-info’
cwd: C:\Users\Administrator\AppData\Local\Temp\pip-install-2q4_o43j\numba\
Complete output (207 lines):
Could not locate executable g77
Could not locate executable f77
Could not locate executable ifort
Could not locate executable ifl
Could not locate executable f90
Could not locate executable DF
Could not locate executable efl
Could not locate executable gfortran
Could not locate executable f95
Could not locate executable g95
Could not locate executable efort
Could not locate executable efc
Could not locate executable flang
don’t know how to compile Fortran code on platform ‘nt’
‘svnversion’ 不是内部或外部命令,也不是可运行的程序
或批处理文件。
non-existing path in ‘numpy\\distutils’: ‘site.cfg’
Running from numpy source directory.
C:\Users\ADMINI~1\AppData\Local\Temp\easy_install-u18w_jkg\numpy-1.17.3\setup.py:418: UserWarning: Unrecognized setuptools command, proceeding with generating Cython sources and expanding templates
run_build = parse_setuppy_commands()
C:\Users\ADMINI~1\AppData\Local\Temp\easy_install-u18w_jkg\numpy-1.17.3\numpy\distutils\system_info.py:690: UserWarning:
Optimized (vendor) Blas libraries are not found.
Falls back to netlib Blas library which has worse performance.
A better performance should be easily gained by switching
Blas library.
self.calc_info()
C:\Users\ADMINI~1\AppData\Local\Temp\easy_install-u18w_jkg\numpy-1.17.3\numpy\distutils\system_info.py:690: UserWarning:
Blas (http://www.netlib.org/blas/) libraries not found.
Directories to search for the libraries can be specified in the
numpy/distutils/site.cfg file (section [blas]) or by setting
the BLAS environment variable.
self.calc_info()
C:\Users\ADMINI~1\AppData\Local\Temp\easy_install-u18w_jkg\numpy-1.17.3\numpy\distutils\system_info.py:690: UserWarning:
Blas (http://www.netlib.org/blas/) sources not found.
Directories to search for the sources can be specified in the
numpy/distutils/site.cfg file (section [blas_src]) or by setting
the BLAS_SRC environment variable.
self.calc_info()
C:\Users\ADMINI~1\AppData\Local\Temp\easy_install-u18w_jkg\numpy-1.17.3\numpy\distutils\system_info.py:1712: UserWarning:
Lapack (http://www.netlib.org/lapack/) libraries not found.
Directories to search for the libraries can be specified in the
numpy/distutils/site.cfg file (section [lapack]) or by setting
the LAPACK environment variable.
if getattr(self, ‘_calc_info_{}’.format(lapack))():
C:\Users\ADMINI~1\AppData\Local\Temp\easy_install-u18w_jkg\numpy-1.17.3\numpy\distutils\system_info.py:1712: UserWarning:
Lapack (http://www.netlib.org/lapack/) sources not found.
Directories to search for the sources can be specified in the
numpy/distutils/site.cfg file (section [lapack_src]) or by setting
the LAPACK_SRC environment variable.
if getattr(self, ‘_calc_info_{}’.format(lapack))():
c:\users\administrator\appdata\local\programs\python\python38\lib\distutils\dist.py:274: UserWarning: Unknown distribution option: ‘define_macros’
warnings.warn(msg)
Traceback (most recent call last):
File “c:\users\administrator\appdata\local\programs\python\python38\lib\distutils\core.py”, line 148, in setup
dist.run_commands()
File “c:\users\administrator\appdata\local\programs\python\python38\lib\distutils\dist.py”, line 966, in run_commands
self.run_command(cmd)
File “c:\users\administrator\appdata\local\programs\python\python38\lib\distutils\dist.py”, line 985, in run_command
cmd_obj.run()
File “c:\users\administrator\appdata\local\programs\python\python38\lib\site-packages\setuptools\command\bdist_egg.py”, line 163, in run
self.run_command(“egg_info”)
File “c:\users\administrator\appdata\local\programs\python\python38\lib\distutils\cmd.py”, line 313, in run_command
self.distribution.run_command(command)
File “c:\users\administrator\appdata\local\programs\python\python38\lib\distutils\dist.py”, line 985, in run_command
cmd_obj.run()
File “C:\Users\ADMINI~1\AppData\Local\Temp\easy_install-u18w_jkg\numpy-1.17.3\numpy\distutils\command\egg_info.py”, line 26, in run
File “c:\users\administrator\appdata\local\programs\python\python38\lib\distutils\cmd.py”, line 313, in run_command
self.distribution.run_command(command)
File “c:\users\administrator\appdata\local\programs\python\python38\lib\distutils\dist.py”, line 985, in run_command
cmd_obj.run()
File “C:\Users\ADMINI~1\AppData\Local\Temp\easy_install-u18w_jkg\numpy-1.17.3\numpy\distutils\command\build_src.py”, line 142, in run
File “C:\Users\ADMINI~1\AppData\Local\Temp\easy_install-u18w_jkg\numpy-1.17.3\numpy\distutils\command\build_src.py”, line 150, in build_sources
File “C:\Users\ADMINI~1\AppData\Local\Temp\easy_install-u18w_jkg\numpy-1.17.3\numpy\distutils\command\build_src.py”, line 267, in build_py_modules_sources
File “C:\Users\ADMINI~1\AppData\Local\Temp\easy_install-u18w_jkg\numpy-1.17.3\numpy\distutils\misc_util.py”, line 2270, in generate_config_py
File “c:\users\administrator\appdata\local\programs\python\python38\lib\distutils\dir_util.py”, line 70, in mkpath
os.mkdir(head, mode)
File “c:\users\administrator\appdata\local\programs\python\python38\lib\site-packages\setuptools\sandbox.py”, line 310, in wrap
path = self._remap_input(name, path, *args, **kw)
File “c:\users\administrator\appdata\local\programs\python\python38\lib\site-packages\setuptools\sandbox.py”, line 452, in _remap_input
self._violation(operation, os.path.realpath(path), *args, **kw)
File “c:\users\administrator\appdata\local\programs\python\python38\lib\site-packages\setuptools\sandbox.py”, line 407, in _violation
raise SandboxViolation(operation, args, kw)
setuptools.sandbox.SandboxViolation: SandboxViolation: mkdir(‘C:\\Users\\ADMINI~1\\AppData\\Local\\Temp\\easy_install-u18w_jkg\\numpy-1.17.3\\build’, 511) {}

The package setup script has attempted to modify files on your system
that are not within the EasyInstall build area, and has been aborted.

This package cannot be safely installed by EasyInstall, and may not
support alternate installation locations even if you run its setup
script by hand.  Please inform the package’s author and the EasyInstall
maintainers to find out if a fix or workaround is available.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “c:\users\administrator\appdata\local\programs\python\python38\lib\site-packages\setuptools\sandbox.py”, line 154, in save_modules
yield saved
File “c:\users\administrator\appdata\local\programs\python\python38\lib\site-packages\setuptools\sandbox.py”, line 195, in setup_context
yield
File “c:\users\administrator\appdata\local\programs\python\python38\lib\site-packages\setuptools\sandbox.py”, line 250, in run_setup
_execfile(setup_script, ns)
File “c:\users\administrator\appdata\local\programs\python\python38\lib\site-packages\setuptools\sandbox.py”, line 45, in _execfile
exec(code, globals, locals)
File “C:\Users\ADMINI~1\AppData\Local\Temp\easy_install-u18w_jkg\numpy-1.17.3\setup.py”, line 443, in <module>
File “C:\Users\ADMINI~1\AppData\Local\Temp\easy_install-u18w_jkg\numpy-1.17.3\setup.py”, line 435, in setup_package
File “C:\Users\ADMINI~1\AppData\Local\Temp\easy_install-u18w_jkg\numpy-1.17.3\numpy\distutils\core.py”, line 171, in setup
File “c:\users\administrator\appdata\local\programs\python\python38\lib\site-packages\setuptools\__init__.py”, line 145, in setup
return distutils.core.setup(**attrs)
File “c:\users\administrator\appdata\local\programs\python\python38\lib\distutils\core.py”, line 163, in setup
raise SystemExit(“error: ” + str(msg))
SystemExit: error: SandboxViolation: mkdir(‘C:\\Users\\ADMINI~1\\AppData\\Local\\Temp\\easy_install-u18w_jkg\\numpy-1.17.3\\build’, 511) {}

The package setup script has attempted to modify files on your system
that are not within the EasyInstall build area, and has been aborted.

This package cannot be safely installed by EasyInstall, and may not
support alternate installation locations even if you run its setup
script by hand.  Please inform the package’s author and the EasyInstall
maintainers to find out if a fix or workaround is available.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “c:\users\administrator\appdata\local\programs\python\python38\lib\site-packages\setuptools\command\easy_install.py”, line 1144, in run_setup
run_setup(setup_script, args)
File “c:\users\administrator\appdata\local\programs\python\python38\lib\site-packages\setuptools\sandbox.py”, line 253, in run_setup
raise
File “c:\users\administrator\appdata\local\programs\python\python38\lib\contextlib.py”, line 131, in __exit__
self.gen.throw(type, value, traceback)
File “c:\users\administrator\appdata\local\programs\python\python38\lib\site-packages\setuptools\sandbox.py”, line 195, in setup_context
yield
File “c:\users\administrator\appdata\local\programs\python\python38\lib\contextlib.py”, line 131, in __exit__
self.gen.throw(type, value, traceback)
File “c:\users\administrator\appdata\local\programs\python\python38\lib\site-packages\setuptools\sandbox.py”, line 166, in save_modules
saved_exc.resume()
File “c:\users\administrator\appdata\local\programs\python\python38\lib\site-packages\setuptools\sandbox.py”, line 141, in resume
six.reraise(type, exc, self._tb)
File “c:\users\administrator\appdata\local\programs\python\python38\lib\site-packages\setuptools\_vendor\six.py”, line 685, in reraise
raise value.with_traceback(tb)
File “c:\users\administrator\appdata\local\programs\python\python38\lib\site-packages\setuptools\sandbox.py”, line 154, in save_modules
yield saved
File “c:\users\administrator\appdata\local\programs\python\python38\lib\site-packages\setuptools\sandbox.py”, line 195, in setup_context
yield
File “c:\users\administrator\appdata\local\programs\python\python38\lib\site-packages\setuptools\sandbox.py”, line 250, in run_setup
_execfile(setup_script, ns)
File “c:\users\administrator\appdata\local\programs\python\python38\lib\site-packages\setuptools\sandbox.py”, line 45, in _execfile
exec(code, globals, locals)
File “C:\Users\ADMINI~1\AppData\Local\Temp\easy_install-u18w_jkg\numpy-1.17.3\setup.py”, line 443, in <module>
File “C:\Users\ADMINI~1\AppData\Local\Temp\easy_install-u18w_jkg\numpy-1.17.3\setup.py”, line 435, in setup_package
File “C:\Users\ADMINI~1\AppData\Local\Temp\easy_install-u18w_jkg\numpy-1.17.3\numpy\distutils\core.py”, line 171, in setup
File “c:\users\administrator\appdata\local\programs\python\python38\lib\site-packages\setuptools\__init__.py”, line 145, in setup
return distutils.core.setup(**attrs)
File “c:\users\administrator\appdata\local\programs\python\python38\lib\distutils\core.py”, line 163, in setup
raise SystemExit(“error: ” + str(msg))
SystemExit: error: SandboxViolation: mkdir(‘C:\\Users\\ADMINI~1\\AppData\\Local\\Temp\\easy_install-u18w_jkg\\numpy-1.17.3\\build’, 511) {}

The package setup script has attempted to modify files on your system
that are not within the EasyInstall build area, and has been aborted.

This package cannot be safely installed by EasyInstall, and may not
support alternate installation locations even if you run its setup
script by hand.  Please inform the package’s author and the EasyInstall
maintainers to find out if a fix or workaround is available.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “<string>”, line 1, in <module>
File “C:\Users\Administrator\AppData\Local\Temp\pip-install-2q4_o43j\numba\setup.py”, line 365, in <module>
setup(**metadata)
File “c:\users\administrator\appdata\local\programs\python\python38\lib\site-packages\setuptools\__init__.py”, line 144, in setup
_install_setup_requires(attrs)
File “c:\users\administrator\appdata\local\programs\python\python38\lib\site-packages\setuptools\__init__.py”, line 139, in _install_setup_requires
dist.fetch_build_eggs(dist.setup_requires)
File “c:\users\administrator\appdata\local\programs\python\python38\lib\site-packages\setuptools\dist.py”, line 717, in fetch_build_eggs
resolved_dists = pkg_resources.working_set.resolve(
File “c:\users\administrator\appdata\local\programs\python\python38\lib\site-packages\pkg_resources\__init__.py”, line 780, in resolve
dist = best[req.key] = env.best_match(
File “c:\users\administrator\appdata\local\programs\python\python38\lib\site-packages\pkg_resources\__init__.py”, line 1065, in best_match
return self.obtain(req, installer)
File “c:\users\administrator\appdata\local\programs\python\python38\lib\site-packages\pkg_resources\__init__.py”, line 1077, in obtain
return installer(requirement)
File “c:\users\administrator\appdata\local\programs\python\python38\lib\site-packages\setuptools\dist.py”, line 787, in fetch_build_egg
return cmd.easy_install(req)
File “c:\users\administrator\appdata\local\programs\python\python38\lib\site-packages\setuptools\command\easy_install.py”, line 679, in easy_install
return self.install_item(spec, dist.location, tmpdir, deps)
File “c:\users\administrator\appdata\local\programs\python\python38\lib\site-packages\setuptools\command\easy_install.py”, line 705, in install_item
dists = self.install_eggs(spec, download, tmpdir)
File “c:\users\administrator\appdata\local\programs\python\python38\lib\site-packages\setuptools\command\easy_install.py”, line 890, in install_eggs
return self.build_and_install(setup_script, setup_base)
File “c:\users\administrator\appdata\local\programs\python\python38\lib\site-packages\setuptools\command\easy_install.py”, line 1158, in build_and_install
self.run_setup(setup_script, setup_base, args)
File “c:\users\administrator\appdata\local\programs\python\python38\lib\site-packages\setuptools\command\easy_install.py”, line 1146, in run_setup
raise DistutilsError(“Setup script exited with %s” % (v.args[0],))
distutils.errors.DistutilsError: Setup script exited with error: SandboxViolation: mkdir(‘C:\\Users\\ADMINI~1\\AppData\\Local\\Temp\\easy_install-u18w_jkg\\numpy-1.17.3\\build’, 511) {}

The package setup script has attempted to modify files on your system
that are not within the EasyInstall build area, and has been aborted.

This package cannot be safely installed by EasyInstall, and may not
support alternate installation locations even if you run its setup
script by hand.  Please inform the package’s author and the EasyInstall
maintainers to find out if a fix or workaround is available.

—————————————-
ERROR: Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output.

Answered question